<?php
/**
 * Controller to handling save setting
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

if ( ! class_exists( 'IPChm_Ajax_Setting' ))
{
  class IPChm_Ajax_Setting
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      if ( ! empty( $_POST['prefix'] )) {
          update_option( '__ipchm_prefix', $_POST['prefix'] );
      }
      if ( ! empty( $_POST['decimals'] )) {
          update_option( '__ipchm_decimals', $_POST['decimals'] );
      }
      if ( ! empty( $_POST['decimal_point'] )) {
          update_option( '__ipchm_decimal_point', $_POST['decimal_point'] );
      }
      if ( ! empty( $_POST['thousands_separator'] )) {
          update_option( '__ipchm_thousands_separator', $_POST['thousands_separator'] );
      }

      if ( ! empty( $_POST['facebook_appid'] )) {
          update_option( '__ipchm_facebook_appid', $_POST['facebook_appid'] );
      }
      if ( ! empty( $_POST['facebook_app_secret'] )) {
          update_option( '__ipchm_facebook_app_secret', $_POST['facebook_app_secret'] );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPCHM_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPCHM_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }
  }  
}
