<?php
/**
 * Controller to handling save share
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

if ( ! class_exists( 'IPChm_Ajax_Share' ))
{
  class IPChm_Ajax_Share
  {
    /**
     * Execution save share
     *
     * @return void
     */
    public function exec()
    {
      $status = 0;
      $info   = array();

      if ( ! empty( $_POST['postId'] ))
      {
        $postId = absint( $_POST['postId'] );
        $post   = get_post( $postId );
        if ( $post )
        {
          $setting  = new IPChm_Setting( $post->ID, '__ipchm-setting' );
          $price    = $setting->getSetting( 'share_discount_value' );
          $prefix   = get_option( '__ipchm_prefix', '$' );
          $decimals = get_option( '__ipchm_decimals', 2 );
          $point    = get_option( '__ipchm_decimal_point', '.' );
          $sep      = get_option( '__ipchm_thousands_separator', ',' );
          $priceText = $prefix . number_format( $price, $decimals, $point, $sep );

          $status = 1;
          $info   = array(
            'title'     => stripslashes( $setting->getSetting( 'share_discount_order_label' )),
            'price'     => $price,
            'priceText' => $priceText
          );

        }
      }

      echo json_encode( array(
          'status' => $status,
          'info'   => $info
      ) );
      die();
    }
  }
}
