<?php
/**
 * Upsell Option Form content view
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$post    = $this->post;
$setting = $this->setting;
$active  = $setting->getSetting( 'autoresponder_activate', 'false' );
if ( $active == 'false' ) {
  return;
}

$label   = $setting->getSetting( 'autoresponder_form_label', 'false' );
$action  = $setting->getSetting( 'autoresponder_action' );
$nameon  = $setting->getSetting( 'autoresponder_name_activate', 'true' );
$fname   = $setting->getSetting( 'autoresponder_name' );
$femail  = $setting->getSetting( 'autoresponder_email' );
$lname   = stripslashes(
  $setting->getSetting( 'autoresponder_name_label', __( 'Your Name', IPCHM_SLUG  ) )
);
$lemail  = stripslashes(
  $setting->getSetting( 'autoresponder_email_label', __( 'Your Email', IPCHM_SLUG  ) )
);
?>

<!-- start: .ipchm-upsell-autoresponder -->
<div class="ipchm-upsell-autoresponder">
  <!-- start: .ipchm-form -->
  <div class="ipchm-form">
    <!-- start: .ipchm-form-main -->
    <form class="ipchm-form-main" method="post" action="<?php echo $action; ?>">
      <!-- start: .ipchm-fields -->
      <div class="ipchm-fields ipchm-clear">

        <?php
        if ( $code = $setting->getSetting( 'autoresponder_code' ) )
        {
          $data = IPChm_Form::parse( $code );
          if ( ! empty( $data['hiddens'] ))
          {
            foreach( $data['hiddens'] as $key => $value ) {
              $value    = str_replace( '"', '', $value );
              echo '<input type="hidden" name="' . $key . '" value="' . $value . '" />';
            }
          }
        }
        if ( $nameon == 'true' ) :
          $placeholder = ' placeholder="' . $lname . '"';
        ?>
        <div class="ipchm-field">
          <?php
          if ( $label == 'true' ):
            $placeholder = '';
          ?>
          <div class="ipchm-form-label">
            <label for="ipchm-input-name"><?php echo $lname; ?> (*)</label>
          </div>
          <?php
          endif;
          ?>
          <div class="ipchm-form-control">
            <input type="text" class="ipchm-form-input" id="ipchm-input-name" name="<?php echo $fname; ?>" value=""<?php echo $placeholder; ?>>
          </div>
        </div>
        <?php
        endif;
        ?>
        <div class="ipchm-field">
          <?php
          $placeholder = ' placeholder="' . $lemail . '"';
          if ( $label == 'true' ):
            $placeholder = '';
          ?>
          <div class="ipchm-form-label">
            <label for="ipchm-input-email"><?php echo $lemail; ?> (*)</label>
          </div>
          <?php
          endif;
          ?>
          <div class="ipchm-form-control">
            <input type="text" class="ipchm-form-input" id="ipchm-input-email" name="<?php echo $femail; ?>" value=""<?php echo $placeholder; ?>>
          </div>
        </div>

      </div>
      <!-- end: .ipchm-fields -->
    </form>
    <!-- end: .ipchm-form-main -->
  </div>
  <!-- end: .ipchm-form -->
</div>
<!-- end: .ipchm-upsell-autoresponder -->
