<?php
/**
 * Upsell list content view
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$post    = $this->post;
$setting = $this->setting;

$total = 0;
$lists = $setting->getSetting( 'lists' );
if ( ! empty( $lists )) {
  foreach( $lists as $list ) {
    $total += $list['price'];
  }
}

$style    = $setting->getSetting( 'list_style', 1 );
$prefix   = get_option( '__ipchm_prefix', '$' );
$decimals = get_option( '__ipchm_decimals', 2 );
$point    = get_option( '__ipchm_decimal_point', '.' );
$sep      = get_option( '__ipchm_thousands_separator', ',' );
?>

<!-- start: .ipchm-upsell-list -->
<div class="ipchm-upsell-list _list-style-<?php echo $style; ?>">
  <form action="" method="post">

    <input type="hidden" id="ipchm-currency-prefix" name="prefix" value="<?php echo $prefix; ?>">
    <input type="hidden" id="ipchm-currency-decimals" name="decimals" value="<?php echo $decimals; ?>">
    <input type="hidden" id="ipchm-currency-point" name="point" value="<?php echo $point; ?>">
    <input type="hidden" id="ipchm-currency-sep" name="sep" value="<?php echo $sep; ?>">

    <table class="ipchm-upsell-list-table">
      <thead>
        <tr>
          <th><?php _e( 'Title', IPCHM_SLUG ); ?></th>
          <th><?php _e( 'Price', IPCHM_SLUG ); ?></th>
          <th></th>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td>Total</td>
          <td>
            <span class="ipchm-upsell-list-total" data-value="<?php echo $total; ?>">
              <?php echo $prefix; ?>
              <?php echo number_format( $total, $decimals, $point, $sep ); ?>
            </span>
          <td>
        </tr>
      </tfoot>
      <tbody>
        <?php
        if ( ! empty( $lists )) :
          foreach( $lists as $list ) :
        ?>
        <tr>
          <td>
            <?php echo $list['title']; ?>
          </td>
          <td>
            <span class="_price" data-value="<?php echo $list['price']; ?>">
              <?php echo $prefix; ?>
              <?php echo number_format( $list['price'], $decimals, $point, $sep ); ?>
            </span>
          </td>
          <td>
            <?php
            $disabled = '';
            if ( $list['mandatory'] == 1 ) {
              $disabled = ' disabled="disabled"';
            }
            ?>
            <input type="checkbox" class="ipchm-upsell-list-check" name="list_check[]" value="1"<?php echo $disabled; ?> checked="checked">
          </td>
        </tr>
        <?php
          endforeach;
        endif;
        ?>
      </tbody>
    </table>

  </form>
</div>
<!-- end: .ipchm-upsell-list -->
