<?php
/**
 * Box design settings
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-box-design" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-paint-brush"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Box Design', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set design for the order box', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-bgcolor"><?php _e( 'Background Color', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $setting->getSetting( 'background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="ipchm-color-picker" id="ipchm-imb-design-bgcolor" name="background_color" value="<?php echo $color; ?>" />

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The background color for the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Background image
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-bg-image"><?php _e( 'Background Image', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipchm-upload-image ipchm-clear">
              <div class="ipchm-upload-preview">
                <?php
                  $setimg = false;
                  if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                    $setimg = true;
                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                  }
                  if ( $setimg ) {
                    echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                    echo '<div class="none ipchm-hide">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                    $reset_dsp = '';
                  } else {
                    echo '<div class="image"></div>';
                    echo '<div class="none">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                    $reset_dsp = ' style="display:none;"';
                  }
                ?>
              </div>

              <div class="ipchm-image-field">
                <div class="ipchm-select-image">
                  <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPCHM_SLUG ); ?></p>
                  <a class="ipchm-btn ipchm-btn-secondary ipchm-btn-media ipchm-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPCHM_SLUG ); ?>"
                    data-update="<?php esc_attr_e( 'Choose image', IPCHM_SLUG ); ?>">
                      <i class="ipchm-fa ipchm-fa-image"></i>
                      <?php _e( 'Select Image', IPCHM_SLUG ); ?>
                  </a>
                  <a class="ipchm-btn ipchm-btn-reset ipchm-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                    <i class="ipchm-fa ipchm-fa-ban"></i>
                    <?php _e( 'Clear Image', IPCHM_SLUG ); ?>
                  </a>
                </div>
                <input type="hidden" name="upload_type" class="ipchm-upload-type" value="background_image" />
                <input type="hidden" name="background_image" class="ipchm-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The background image in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Background repeat
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-bg-repeat"><?php _e( 'Background Repeat', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'background_repeat' );
          $options = array(
            'no-repeat'   => __( 'No Repeat', IPCHM_SLUG ),
            'repeat-x'    => __( 'Repeat Horizontally', IPCHM_SLUG ),
            'repeat-y'    => __( 'Repeat Vertically', IPCHM_SLUG ),
            'repeat'      => __( 'Repeat All', IPCHM_SLUG ),
          );
          ?>
          <select name="background_repeat" id="ipchm-imb-design-bg-repeat">
            <?php
            foreach( $options as $key => $label )
            {
              $sltd = '';
              if ( $key == $style ) {
                  $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The repeating method for the background image.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-text-color"><?php _e( 'Text Color', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $setting->getSetting( 'text_color', '#333333' ) );
          ?>
          <input type="text" class="ipchm-color-picker" id="ipchm-imb-design-text-color" name="text_color" value="<?php echo $color; ?>" />

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The color for text in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-font-family"><?php _e( 'Font Family', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $setting->getSetting( 'font_family', 'roboto' );
          $fonts   = IPChm_Font::getOptions();
          $fname   = IPChm_Font::getFontName( $current );
          ?>
          <span class="ipchm-font-family">
            <div class="ipchm-menu ipchm-fancy-option">
              <div class="ipchm-selected">
                <div class="ipchm-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="ipchm-select" style="display: none;">
                <div class="ipchm-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="ipchm-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="font_family" class="ipchm-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The font family for the content in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Link Color
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-link-color">
            <?php _e( 'Link Color', IPCHM_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $setting->getSetting( 'link_color', '#222222' ) );
          ?>
          <input type="text" class="ipchm-color-picker" id="ipchm-imb-design-link-color" name="link_color" value="<?php echo $color; ?>" />

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The color for links in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Link Hover Color
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-link-hover-color">
            <?php _e( 'Link Hover Color', IPCHM_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $setting->getSetting( 'link_hover_color', '#222222' ) );
          ?>
          <input type="text" class="ipchm-color-picker" id="ipchm-imb-design-link-hover-color" name="link_hover_color" value="<?php echo $color; ?>" />

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The color for links in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Padding
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-padding"><?php _e( 'Padding', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $padding = $setting->getSetting( 'padding' );
          ?>
          <div class="ipchm-input-group mr5">
              <input type="text" id="ipchm-imb-design-padding" class="ipchm-input ipchm-input-xs" name="padding" value="<?php echo $padding; ?>">
              <div class="ipchm-input-addon">px</div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Padding for the main content section (in px).', IPCHM_SLUG ); ?>
            </div>
        </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-border"><?php _e( 'Border', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $setting->getSetting( 'border_width', 0 );
          $bocolor = stripslashes( $setting->getSetting( 'border_color', '#222222' ));
          $bostyle = stripslashes( $setting->getSetting( 'border_style', 'solid' ));
          ?>
          <div class="ipchm-input-group ipchm-input-border-size mr5">
            <input type="text" id="ipchm-imb-design-border-width" class="ipchm-input ipchm-input-xxs" name="border_width" value="<?php echo $bowidth; ?>">
            <div class="ipchm-input-addon">px</div>
          </div>
          <select name="border_style" class="ipchm-input-border-style">
            <?php
            $styles  = array(
              'solid'    => __( 'Solid', IPCHM_SLUG ),
              'dotted'   => __( 'Dotted', IPCHM_SLUG ),
              'dashed'   => __( 'Dashed', IPCHM_SLUG ),
              'double'   => __( 'Double', IPCHM_SLUG ),
              'groove'   => __( 'Groove', IPCHM_SLUG )
            );
            foreach( $styles as $key => $label ) {
              $sltd = '';
              if ( $key == $bostyle ) {
                  $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>
          <input type="text" class="ipchm-color-picker" id="ipchm-imb-design-border-color" name="border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Add border in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-border-radius">
            <?php _e( 'Border Radius', IPCHM_SLUG ); ?>
          </label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <select name="border_radius" id="ipchm-imb-design-border-radius">
            <?php
            $current = stripslashes( $setting->getSetting( 'border_radius', 'none' ));
            $styles  = array(
                'none' => __( 'None', IPCHM_SLUG ),
                'xs'   => __( 'Extra Small', IPCHM_SLUG ),
                'sm'   => __( 'Small', IPCHM_SLUG ),
                'md'   => __( 'Medium', IPCHM_SLUG ),
                'lg'   => __( 'Large', IPCHM_SLUG )
            );
            foreach( $styles as $key => $label ) {
              $sltd = '';
              if ( $key == $current ) {
                  $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Add radius in the order box.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-shadow"><?php _e( 'Shadow', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipchm-onoff">
            <?php
            $val  = $setting->getSetting( 'shadow', 'false' );
            if ( $val == 'false' ) {
                $clon  = '';
                $cloff = ' active';
            } else {
                $clon  = ' active';
                $cloff = '';
            }
            ?>
            <div class="ipchm-btn-group">
              <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
              <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
            </div>
            <input type="hidden" class="ipchm-onoff-value" name="shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Determines whether to add a shadow effect on the main content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //List Style
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-design-list-style">
            <?php _e( 'List Style', IPCHM_SLUG ); ?>
          </label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <select name="list_style" id="ipchm-imb-design-list-style">
            <?php
            $current = stripslashes( $setting->getSetting( 'list_style', 1 ));
            $styles  = array(
                1 => __( 'Style #1', IPCHM_SLUG ),
                2 => __( 'Style #2', IPCHM_SLUG ),
                3 => __( 'Style #3', IPCHM_SLUG ),
                4 => __( 'Style #4', IPCHM_SLUG ),
                5 => __( 'Style #5', IPCHM_SLUG )
            );
            foreach( $styles as $key => $label ) {
              $sltd = '';
              if ( $key == $current ) {
                  $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The style of the order items list.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
