<?php
/**
 * Content lists
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-list" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-list"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'List', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set list of the order items', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <table id="ipchm-list-table">
        <thead>
          <tr>
            <th><?php _e( 'Title', IPCHM_SLUG ); ?></th>
            <th><?php _e( 'Price', IPCHM_SLUG ); ?></th>
            <th><?php _e( 'Mandatory', IPCHM_SLUG ); ?></th>
            <th></th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <td colspan="3">
              <a href="#" class="ipchm-btn ipchm-btn-success ipchm-btn-sm ipchm-add-list-input">
                <?php _e( 'Add Input', IPCHM_SLUG ); ?>
              </a>
            </td>
          </tr>
        </tfoot>
        <tbody>
          <?php
          $lists = $setting->getSetting( 'lists' );
          if ( ! empty( $lists )) :
            foreach( $lists as $list ) :
          ?>
          <tr>
            <td>
              <input type="text" class="ipchm-input ipchm-input-full" name="list_title[]" value="<?php echo $list['title']; ?>">
            </td>
            <td>
              <input type="text" class="ipchm-input ipchm-input-xs" name="list_price[]" value="<?php echo $list['price']; ?>">
            </td>
            <td>
              <span class="ipchm-list-mandatory-input">
                <?php
                $checked = '';
                if ( $list['mandatory'] == 1 ) {
                  $checked = ' _checked';
                }
                ?>
                <i class="ipchm-fa ipchm-fa-check<?php echo $checked; ?>"></i>
                <input type="hidden" class="_value" name="list_mandatory[]" value="<?php echo $list['mandatory']; ?>">
              </span>
            </td>
            <td>
              <a href="#" class="ipchm-list-delete">
                <i class="ipchm-fa ipchm-fa-times-circle"></i>
              </a>
            </td>
          </tr>
          <?php
            endforeach;
          endif;
          ?>
          <tr>
            <td>
              <input type="text" class="ipchm-input ipchm-input-full" name="list_title[]" value="">
            </td>
            <td>
              <input type="text" class="ipchm-input ipchm-input-xs" name="list_price[]" value="">
            </td>
            <td>
              <span class="ipchm-list-mandatory-input">
                <i class="ipchm-fa ipchm-fa-check"></i>
                <input type="hidden" class="_value" name="list_mandatory[]" value="0">
              </span>
            </td>
            <td>
              <a href="#" class="ipchm-list-delete">
                <i class="ipchm-fa ipchm-fa-times-circle"></i>
              </a>
            </td>
          </tr>
        </tbody>
      </table>

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
