<?php
/**
 * Share Discount settings
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-share-discount" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-facebook"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Share For Discount', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Add features giving discounts through facebook share', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      //Activating Discount Coupons
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
          <label for="ipchm-imb-share-activate"><?php _e( 'Activate Share for Discount', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
          <div class="ipchm-onoff">
              <?php
              $val = $setting->getSetting( 'share_discount_activate', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipchm-btn-group">
                <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipchm-onoff-value" name="share_discount_activate" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set whether to activating share for discount feature.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Discount Value
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
        <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
          <label for="ipchm-imb-share-discount"><?php _e( 'Discount Value', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
          <?php
          $value = $setting->getSetting( 'share_discount_value' );
          ?>
          <input type="text" id="ipchm-imb-share-discount" class="ipchm-input ipchm-input-full" name="share_discount_value" value="<?php echo $value; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the discount value.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Discount Info
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-share-info"><?php _e( 'Discount Info', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'share_discount_info' ));
          ?>
          <textarea id="ipchm-imb-share-info" class="ipchm-input ipchm-input-full" name="share_discount_info"><?php echo $info; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the info for the discount.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Order Info
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-share-order-label"><?php _e( 'Order Item Label', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'share_discount_order_label' ));
          ?>
          <input type="text" id="ipchm-imb-share-order-label" class="ipchm-input ipchm-input-full" name="share_discount_order_label" value="<?php echo $info; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the information on the order items list when the share is used.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Button Label
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-share-button-label"><?php _e( 'Button Label', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'share_discount_button_label' ));
          ?>
          <input type="text" id="ipchm-imb-share-button-label" class="ipchm-input ipchm-input-full" name="share_discount_button_label" value="<?php echo $info; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the text for the share button.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <h3 class="ipchm-field-title">
        <?php _e( 'Facebook Share Content', IPCHM_SLUG ); ?>
      </h3>

      <?php
      //Title
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-share-title"><?php _e( 'Title', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $title = stripslashes( $setting->getSetting( 'share_title' ));
          ?>
          <input type="text" id="ipchm-imb-share-title" class="ipchm-input ipchm-input-full" name="share_title" value="<?php echo $title; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the title for share content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Info
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-share-info"><?php _e( 'Info', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'share_info' ));
          ?>
          <textarea id="ipchm-imb-share-info" class="ipchm-input ipchm-input-full" name="share_info"><?php echo $info; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set the short information for share content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Background image
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-share-image"><?php _e( 'Image', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipchm-upload-image ipchm-clear">
              <div class="ipchm-upload-preview">
                <?php
                  $setimg = false;
                  if ( $attach_id = $this->setting->getSetting( 'share_image' ) ) {
                    $setimg = true;
                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                  }
                  if ( $setimg ) {
                    echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                    echo '<div class="none ipchm-hide">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                    $reset_dsp = '';
                  } else {
                    echo '<div class="image"></div>';
                    echo '<div class="none">' . __( 'No image', IPCHM_SLUG ) . '</div>';
                    $reset_dsp = ' style="display:none;"';
                  }
                ?>
              </div>

              <div class="ipchm-image-field">
                <div class="ipchm-select-image">
                  <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPCHM_SLUG ); ?></p>
                  <a class="ipchm-btn ipchm-btn-secondary ipchm-btn-media ipchm-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPCHM_SLUG ); ?>"
                    data-update="<?php esc_attr_e( 'Choose image', IPCHM_SLUG ); ?>">
                      <i class="ipchm-fa ipchm-fa-image"></i>
                      <?php _e( 'Select Image', IPCHM_SLUG ); ?>
                  </a>
                  <a class="ipchm-btn ipchm-btn-reset ipchm-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                    <i class="ipchm-fa ipchm-fa-ban"></i>
                    <?php _e( 'Clear Image', IPCHM_SLUG ); ?>
                  </a>
                </div>
                <input type="hidden" name="upload_type" class="ipchm-upload-type" value="background_image" />
                <input type="hidden" name="share_image" class="ipchm-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The image for the share content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
