<?php
/**
 * Video settings
 *
 * @package wp-sales-robot
 * @author QikSoft
 * @link http://qiksoft.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-video" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-video-camera"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Video', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set the video to be included before the box order', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      //Show/Hide Video
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-video-show"><?php _e( 'Show/Hide Video', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipchm-onoff">
              <?php
              $val = $setting->getSetting( 'video_show', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipchm-btn-group">
                <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipchm-onoff-value" name="video_show" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Set whether to show video before upsell content', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Youtube Video URL
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-video-url"><?php _e( 'Youtube Video URL', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $url = $setting->getSetting( 'video_url' );
          ?>
          <input type="text" id="ipchm-imb-video-url" class="ipchm-input ipchm-input-full" name="video_url" value="<?php echo $url; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide"><?php _e( 'The URL of your youtube video.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Input Start
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-video-start"><?php _e( 'Start time', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipchm-input-group">
            <?php
            $start = $setting->getSetting( 'video_start' );
            ?>
            <input type="text" id="ipchm-imb-video-start" class="ipchm-input ipchm-input-xs" name="video_start" value="<?php echo $start; ?>">
            <div class="ipchm-input-addon">second</div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Width
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-video-width"><?php _e( 'Video Width', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $width = $setting->getSetting( 'video_width', 450 );
          ?>
          <div class="ipchm-input-group mr5">
              <input type="text" id="ipchm-imb-video-width" class="ipchm-input ipchm-input-xs" name="video_width" value="<?php echo $width; ?>">
              <div class="ipchm-input-addon">px</div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Width ( in pixel ) of the video.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Height
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-video-height"><?php _e( 'Video Height', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $setting->getSetting( 'video_height', 320 );
          ?>
          <div class="ipchm-input-group mr5">
              <input type="text" id="ipchm-imb-video-height" class="ipchm-input ipchm-input-xs" name="video_height" value="<?php echo $height; ?>">
              <div class="ipchm-input-addon">px</div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Height ( in pixel ) of the video.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      //Input autoplay
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-x">
        <div class="ipchm-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipchm-imb-video-autoplay"><?php _e( 'Autoplay', IPCHM_SLUG ); ?></label>
        </div>
        <div class="ipchm-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipchm-onoff">
              <?php
              $val = $setting->getSetting( 'video_autoplay', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipchm-btn-group">
                <button data-value="true" class="ipchm-btn-onoff<?php echo $clon; ?> ipchm-btn-on" type="button"><?php _e( 'On', IPCHM_SLUG ); ?></button>
                <button data-value="false" class="ipchm-btn-onoff<?php echo $cloff; ?> ipchm-btn-off" type="button"><?php _e( 'Off', IPCHM_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipchm-onoff-value" name="video_autoplay" value="<?php echo $val; ?>" />
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'Is the video automatically plays when the page is loaded?', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
